dmaps: XDmaPs_ChanCtrl Struct Reference

| dmaps Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDmaPs_ChanCtrl Struct Reference
Dmaps_v2_5

DMA channle control structure. More...

## Data Fields
unsigned int | EndianSwapSize
| Endian swap size. More...
unsigned int | DstCacheCtrl
| Destination cache control. More...
unsigned int | DstProtCtrl
| Destination protection control. More...
unsigned int | DstBurstLen
| Destination burst length. More...
unsigned int | DstBurstSize
| Destination burst size. More...
unsigned int | DstInc
| Destination incrementing or fixed address. More...
unsigned int | SrcCacheCtrl
| Source cache control. More...
unsigned int | SrcProtCtrl
| Source protection control. More...
unsigned int | SrcBurstLen
| Source burst length. More...
unsigned int | SrcBurstSize
| Source burst size. More...
unsigned int | SrcInc
| Source incrementing or fixed address. More...

## Detailed Description

DMA channle control structure.

It's for AXI bus transaction. This struct will be translated into a 32-bit channel control register value.

## Field Documentation

unsigned int XDmaPs_ChanCtrl::DstBurstLen

Destination burst length.

Referenced by XDmaPs_Example_W_Intr(), XDmaPs_GenDmaProg(), and XDmaPs_ToCCRValue().

unsigned int XDmaPs_ChanCtrl::DstBurstSize

Destination burst size.

Referenced by XDmaPs_Example_W_Intr(), XDmaPs_GenDmaProg(), and XDmaPs_ToCCRValue().

unsigned int XDmaPs_ChanCtrl::DstCacheCtrl

Destination cache control.

Referenced by XDmaPs_ToCCRValue().

unsigned int XDmaPs_ChanCtrl::DstInc

Destination incrementing or fixed address.

Referenced by XDmaPs_Example_W_Intr(), XDmaPs_GenDmaProg(), XDmaPs_Start(), and XDmaPs_ToCCRValue().

unsigned int XDmaPs_ChanCtrl::DstProtCtrl

Destination protection control.

Referenced by XDmaPs_ToCCRValue().

unsigned int XDmaPs_ChanCtrl::EndianSwapSize

Endian swap size.

Referenced by XDmaPs_ToCCRValue().

unsigned int XDmaPs_ChanCtrl::SrcBurstLen

Source burst length.

Referenced by XDmaPs_Example_W_Intr(), XDmaPs_GenDmaProg(), and XDmaPs_ToCCRValue().

unsigned int XDmaPs_ChanCtrl::SrcBurstSize

Source burst size.

Referenced by XDmaPs_Example_W_Intr(), XDmaPs_GenDmaProg(), and XDmaPs_ToCCRValue().

unsigned int XDmaPs_ChanCtrl::SrcCacheCtrl

Source cache control.

Referenced by XDmaPs_ToCCRValue().

unsigned int XDmaPs_ChanCtrl::SrcInc

Source incrementing or fixed address.

Referenced by XDmaPs_Example_W_Intr(), XDmaPs_GenDmaProg(), XDmaPs_Start(), and XDmaPs_ToCCRValue().

unsigned int XDmaPs_ChanCtrl::SrcProtCtrl

Source protection control.

Referenced by XDmaPs_ToCCRValue().